org.apache.cassandra.index.sasi.disk

## Class AbstractTokenTreeBuilder.LevelIterator

- java.lang.Object
- - org.apache.cassandra.utils.AbstractIterator<AbstractTokenTreeBuilder.Node>
  - - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.LevelIterator

- All Implemented Interfaces:
    com.google.common.collect.PeekingIterator<AbstractTokenTreeBuilder.Node>, java.util.Iterator<AbstractTokenTreeBuilder.Node>
  Enclosing class:
    AbstractTokenTreeBuilder

      public static class AbstractTokenTreeBuilder.LevelIterator
      extends AbstractIterator<AbstractTokenTreeBuilder.Node>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractTokenTreeBuilder.Node` | `computeNext()`

    - ### Methods inherited from class org.apache.cassandra.utils.AbstractIterator

      `endOfData, hasNext, next, peek, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### computeNext

          public AbstractTokenTreeBuilder.Node computeNext()

      Specified by:
        `computeNext` in class `AbstractIterator<AbstractTokenTreeBuilder.Node>`

Copyright © 2018 The Apache Software Foundation